﻿using System;
using System.Windows.Forms;
using VMProtect;

namespace RegTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            textBoxHWID.Text = SDK.GetCurrentHWID();
        }

        private void buttonActivate_Click(object sender, EventArgs e)
        {
            if (!String.IsNullOrEmpty(textBoxActivationCode.Text))
            {
                SerialState serialstate = SDK.SetSerialNumber(textBoxActivationCode.Text);

                if (serialstate == SerialState.Success)
                {
                    serialstate = SDK.GetSerialNumberState();

                    if (serialstate == SerialState.Success)
                    {
                        MessageBox.Show("SUCCESS", "Activation");
                    }
                    else
                    {
                        MessageBox.Show("serialstate: " + serialstate.ToString(), "SDK.GetSerialNumber - Error");
                    }
                }
                else
                {
                    MessageBox.Show("serialstate: " + serialstate.ToString(), "SDK.SetSerialNumber - Error");
                }
            }
        }
    }
}
